#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bird
Version		:	2.16.1
Release		:	17.2.69.rel%{?dist}
Summary		:	BIRD Internet Routing Daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0
URL		:	https://bird.network.cz/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	gcc
BuildRequires	:	libssh-devel
BuildRequires	:	ncurses-devel
BuildRequires	:	make
BuildRequires	:	sed

Obsoletes	:	frr = 9.1.2
Obsoletes	:	bird = 3.0.1

#-----------------------------------------------------------------------------
%description
BIRD is a dynamic IP routing daemon supporting
both, IPv4 and IPv6, Border Gateway Protocol (BGPv4),
Routing Information Protocol (RIPv2, RIPng),
Open Shortest Path First protocol (OSPFv2, OSPFv3),
Babel Routing Protocol (Babel),
Bidirectional Forwarding Detection (BFD),
IPv6 router advertisements, static routes,
inter-table protocol,
command-line interface allowing on-line control
and inspection of the status of the daemon,
soft reconfiguration as well as a powerful
language for route filtering.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%attr(0640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/%{name}/%{name}.conf.example
%{_sbindir}/%{name}
%{_sbindir}/%{name}c
%{_sbindir}/%{name}cl

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /usr/sbin/groupdel %{name}
  (
  /bin/echo -n "%{name}-%{version}-%{release} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%pre
if [ ! $(getent group %{name}) ]; then
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}
  fi

%post
%{_sbindir}/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} restart > /dev/null 2>&1 || :

#=============================================================================
%package		doc
Summary		:	Documentation for BIRD Internet Routing Daemon

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Documentation for users and programmers of
the BIRD Internet Routing Daemon.
 
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
	--localstatedir=%{_localstatedir}		\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--runstatedir=/run/%{name}			\

	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check  
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mv}							\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf	\
	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.example

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} 						\
	%{name}-ok_addon/%{name}.init			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}

(
echo "#----------------------------------------------------"
echo "#File to be configured for you own purpose"
echo "Check file %{name}.conf.example"
echo "#----------------------------------------------------"
echo "log \"/var/log/%{name}.log\" all"
echo "#----------------------------------------------------"
) >	%{buildroot}%{_sysconfdir}/%{name}/%{name}.conf	
#-----------------------------------------------------------------------------
%changelog
